(* Debug *)
(* $Id: debug.mli,v 1.1.1.1 2002/09/02 08:49:25 durak Exp $ *)

type level = Trace of int | Debug of int | Info | Critical | Warning
and category = System | Network | Game | Server | Strategy | Other of string
and 'a wildcard = All | Only of 'a list
val sf : ('a, unit, string) format -> 'a
val debug_enabled : (level wildcard * category wildcard) list ref
val debug : level * category -> string -> unit
